<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row justify="center" class="pr-6 pl-6">
      <v-row justify="center">
        <v-col cols="12" xl="6" lg="6" md="6" sm="10" xs="12">
          <v-card elevation="6" class="rounded-xl">
            <v-card-title>Pelayanan Terpadu Satu Pintu</v-card-title>
            <v-card-text>
              <v-row justify="center">
                <v-col cols="12" align="center">
                  <span class="text-body-2"
                    >Pelayanan Terpadu Satu Pintu merupakan sebuah
                    penyelenggaraan pelayanan yang proses pengelolaannya mulai
                    dari tahap permohonan sampai tahap terbitnya dokumen
                    dilakukan secara terpadu pada satu tempat dan dikontrol oleh
                    system pengendalian manajemen guna mempermudah, mempercepat,
                    dan mengurangi biaya</span
                  ><br /><br />
                  <span class="text-body-1"
                    ><strong>
                      Alamat : Kanwil Kementerian Agama Provinsi Bali, Civic
                      Centre Yangbatu Denpasar</strong
                    ></span
                  >
                </v-col>
              </v-row>
            </v-card-text>
          </v-card>
        </v-col>
      </v-row>
      <v-row>
        <v-col cols="12" xl="6" lg="6" md="6" sm="10" xs="12">
          <v-card elevation="6" class="rounded-xl">
            <v-card-title>Alur PTSP</v-card-title>
            <v-card-text>
              <v-row justify="center">
                <v-col cols="12" align="center">
                  <v-img src="../../assets/ptsp.jpeg" max-width="300" />
                </v-col>
              </v-row>
            </v-card-text>
          </v-card>
        </v-col>
        <v-col cols="12" xl="6" lg="6" md="6" sm="10" xs="12">
          <v-card elevation="6" class="rounded-xl">
            <v-card-title>Alur Pengaduan</v-card-title>
            <v-card-text>
              <v-row justify="center">
                <v-col cols="12" align="center">
                  <v-img src="../../assets/aduan.jpeg" max-width="300" />
                </v-col>
              </v-row>
            </v-card-text>
          </v-card>
        </v-col>
      </v-row>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "publik-ptsp",
  components: {},
  data: () => ({
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Publik",
        disabled: false,
        href: "breadcrumbs_link_1",
      },
      {
        text: "PTSP",
        disabled: true,
        href: "#",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "PTSP");
  },
  methods: {
    open_breadcum(href) {
      if (href === "home") {
        this.$router.replace(`/`);
      } else {
        this.$store.dispatch("constant/set_title", "Layanan Publik");
        this.$router.back();
      }
    },
  },
};
</script>

<style scoped>
</style>
